OhMyGPT
Chat

List stored response input items

GET
/v1/responses/{response_id}/input_items

Returns the expanded input items stored for a response created without store:false.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

response_id*string

Response ID returned by POST /v1/responses.

Query Parameters

limit?integer

Maximum number of input items to return.

Range1 <= value <= 100
Default20
after?string

Return items after this input item ID.

order?string

Item order within the stored input list.

Default"asc"
Value in"asc""desc"

Response Body

Stored input items

application/json
  1. response
data*array<|||||||||||||||||||||||||>
first_id*string
has_more*boolean
last_id*string
object*"list"
Value in"list"
Example Request
curl -X GET 'https://api.ohmygpt.com/v1/responses/string/input_items'
Example Response
{  "data": [    {      "content": "string",      "phase": "commentary",      "role": "user",      "type": "message"    }  ],  "first_id": "string",  "has_more": true,  "last_id": "string",  "object": "list"}